<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".Registrar"
    android:fitsSystemWindows="true"
    android:background="@drawable/fondo">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <TextView
            android:id="@+id/textView6"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="20dp"
            android:fontFamily="@font/coolvetica"
            android:gravity="center"
            android:text="@string/tituloRegistrar"
            android:textColor="@color/colorBlanco"
            android:textSize="70sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <LinearLayout
            android:id="@+id/linearLayout29"
            style="@style/layoutText"
            android:layout_marginStart="20dp"
            android:layout_marginTop="20dp"
            android:layout_marginEnd="20dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/textView6">

            <ImageView
                android:layout_width="45dp"
                android:layout_height="45dp"
                android:layout_marginTop="10dp"
                android:src="@drawable/user" />

            <com.google.android.material.textfield.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:textColorHint="@color/colorBlanco">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/inputNombreUsuario"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/nomUsuario"
                    android:inputType="text"
                    android:textColor="@color/colorBlanco">

                </com.google.android.material.textfield.TextInputEditText>

            </com.google.android.material.textfield.TextInputLayout>

        </LinearLayout>

        <LinearLayout
            android:id="@+id/linearLayout30"
            style="@style/layoutText"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="20dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/linearLayout29">

            <ImageView
                android:layout_width="45dp"
                android:layout_height="45dp"
                android:layout_marginTop="10dp"
                android:src="@drawable/user" />

            <com.google.android.material.textfield.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:textColorHint="@color/colorBlanco">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/inputApellidoUsuario"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/apeUsuario"
                    android:inputType="text"
                    android:textColor="@color/colorBlanco">

                </com.google.android.material.textfield.TextInputEditText>

            </com.google.android.material.textfield.TextInputLayout>

        </LinearLayout>

        <LinearLayout
            android:id="@+id/linearLayout31"
            style="@style/layoutText"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="20dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/linearLayout30">

            <ImageView
                android:layout_width="45dp"
                android:layout_height="45dp"
                android:layout_marginTop="10dp"
                android:src="@drawable/defaulfhombre" />

            <com.google.android.material.textfield.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:textColorHint="@color/colorBlanco">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/inputNickUsuario"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/nickName"
                    android:inputType="text"
                    android:textColor="@color/colorBlanco">

                </com.google.android.material.textfield.TextInputEditText>

            </com.google.android.material.textfield.TextInputLayout>

        </LinearLayout>

        <LinearLayout
            android:id="@+id/linearLayout32"
            style="@style/layoutText"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="20dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/linearLayout31">

            <ImageView
                android:layout_width="45dp"
                android:layout_height="45dp"
                android:layout_marginTop="10dp"
                android:src="@drawable/dni" />

            <com.google.android.material.textfield.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:textColorHint="@color/colorBlanco">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/inputDni"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/dni"
                    android:inputType="number"
                    android:textColor="@color/colorBlanco">

                </com.google.android.material.textfield.TextInputEditText>

            </com.google.android.material.textfield.TextInputLayout>

        </LinearLayout>

        <LinearLayout
            android:id="@+id/linearLayout40"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/linearLayout32">

            <RadioGroup
                android:id="@+id/rgOpciones"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:gravity="center"
                android:orientation="horizontal">

                <RadioButton
                    android:id="@+id/rbVaron"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_marginTop="20dp"
                    android:layout_marginRight="10dp"
                    android:layout_marginBottom="20dp"
                    android:buttonTint="@color/colorBlanco"
                    android:text="Varón"
                    android:textColor="@color/colorBlanco"
                    android:textSize="20sp"
                    android:textStyle="bold" />

                <RadioButton
                    android:id="@+id/rbMujer"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="20dp"
                    android:layout_marginBottom="20dp"
                    android:buttonTint="@color/colorBlanco"
                    android:text="Mujer"
                    android:textColor="@color/colorBlanco"
                    android:textSize="20sp"
                    android:textStyle="bold" />

                <RadioButton
                    android:id="@+id/rbNoEspecificar"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_marginTop="20dp"
                    android:layout_marginRight="10dp"
                    android:layout_marginBottom="20dp"
                    android:buttonTint="@color/colorBlanco"
                    android:text="No Especificar"
                    android:textColor="@color/colorBlanco"
                    android:textSize="20sp"
                    android:textStyle="bold" />

            </RadioGroup>

        </LinearLayout>

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/circleImgUsuario"
            android:layout_width="200dp"
            android:layout_height="200dp"
            android:layout_gravity="center|top"
            android:layout_marginTop="20dp"
            android:src="@drawable/defaulfhombre"
            app:civ_border_color="#FF000000"
            app:civ_border_width="2dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/linearLayout40" />

        <Button
            android:id="@+id/btnContinuar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="100dp"
            android:layout_marginEnd="100dp"
            android:layout_marginBottom="20dp"
            android:background="@drawable/boton_redondeado"
            android:backgroundTint="@color/colorBlanco"
            android:text="@string/continuar"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.coordinatorlayout.widget.CoordinatorLayout>